cmake_minimum_required(VERSION 3.0)                                               
set(CMAKE_CXX_STANDARD 17)                                                                           
if(MSVC)                                                                                             
    add_compile_options("/Zc:__cplusplus")                                                           
endif()                                                                                              
include_directories("C:\\Programs\\GCC\\x86_64-8.1.0-release-posix-seh-rt_v6-rev0\\lib\\gcc\\x86_64-w64-mingw32\\8.1.0\\include\\c++\\x86_64-w64-mingw32") 
add_executable(P1001 P1001.cpp)
add_executable(P1002 P1002.cpp)
add_executable(P1003 P1003.cpp)
add_executable(P1004 P1004.cpp)
add_executable(P1005 P1005.cpp)
add_executable(P1006 P1006.cpp)
add_executable(P1007 P1007.cpp)
add_executable(P1008 P1008.cpp)
add_executable(P1009 P1009.cpp)
add_executable(P1010 P1010.cpp)
add_executable(P1011 P1011.cpp)
add_executable(P1012 P1012.cpp)
add_executable(P1013 P1013.cpp)
add_executable(P1014 P1014.cpp)
add_executable(P1015 P1015.cpp)
add_executable(P1016 P1016.cpp)
add_executable(P1017 P1017.cpp)
add_executable(P1018 P1018.cpp)
add_executable(P1019 P1019.cpp)
add_executable(P1020 P1020.cpp)
add_executable(P1021 P1021.cpp)
add_executable(P1022 P1022.cpp)
add_executable(P1023 P1023.cpp)
add_executable(P1024 P1024.cpp)
add_executable(P1025 P1025.cpp)
add_executable(P1026 P1026.cpp)
add_executable(P1027 P1027.cpp)
add_executable(P1028 P1028.cpp)
add_executable(P1029 P1029.cpp)
add_executable(P1030 P1030.cpp)
add_executable(P1031 P1031.cpp)
add_executable(P1032 P1032.cpp)
add_executable(P1033 P1033.cpp)
add_executable(P1034 P1034.cpp)
add_executable(P1035 P1035.cpp)
add_executable(P1036 P1036.cpp)
add_executable(P1037 P1037.cpp)
add_executable(P1038 P1038.cpp)
add_executable(P1039 P1039.cpp)
add_executable(P1040 P1040.cpp)
add_executable(P1041 P1041.cpp)
add_executable(P1042 P1042.cpp)
add_executable(P1043 P1043.cpp)
add_executable(P1044 P1044.cpp)
add_executable(P1045 P1045.cpp)
add_executable(P1046 P1046.cpp)
add_executable(P1047 P1047.cpp)
add_executable(P1048 P1048.cpp)
add_executable(P1049 P1049.cpp)
add_executable(P1050 P1050.cpp)